DynamicJava Javadoc: Class ContinueException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## koala.dynamicjava.interpreter.throwable
Class ContinueException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--koala.dynamicjava.interpreter.throwable.ContinueException

All Implemented Interfaces:
  java.io.Serializable

public class ContinueException
extends java.lang.RuntimeException

Thrown to indicate that a continue statement has been reached

See Also:
  Serialized Form

Constructor Summary
`ContinueException(java.lang.String m)` Constructs an `ContinueException` with the specified detail message.
`ContinueException(java.lang.String m, java.lang.String l)` Constructs an `ContinueException` with the specified detail message and label.

Method Summary
`java.lang.String` | `getLabel()` Returns the label of the statement that thrown the exception
`boolean` | `isLabeled()` Tests whether the statement was labeled

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ContinueException

    public ContinueException(java.lang.String m)

  Constructs an `ContinueException` with the specified detail message.
  Parameters:
    `m` - the detail message.

### ContinueException

    public ContinueException(java.lang.String m,
                             java.lang.String l)

  Constructs an `ContinueException` with the specified detail message and label.
  Parameters:
    `m` - the detail message.
    `l` - the label

Method Detail

### isLabeled

    public boolean isLabeled()

  Tests whether the statement was labeled

### getLabel

    public java.lang.String getLabel()

  Returns the label of the statement that thrown the exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Stephane Hillion. All Rights Reserved.